<?php
/**
 * Provides functions to get/add/delete/alter templates in the database
 *
 * $Id: functions.templates.php 166 2007-04-16 08:33:54Z rbott $
 *
 * @package ZoneAdmin
 * @author Rudolph Bott
 * @version 0.1
 * @copyright Rudolph Bott
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 */


// einige nuetzliche funktionen fuer zonen-templates

//alle templates aus der DB holen
function get_templates() {
  global $mysqlcfg;
  $templates = array();

  $query = "SELECT * FROM ".$mysqlcfg["tpltbl"]." ORDER BY name";
  $result = mysql_query($query);
  while($row = mysql_fetch_assoc($result)) {
    $templates[] = $row;
  }
  mysql_free_result($result);

  return $templates;

}

function get_template_by_id($id) {
  global $mysqlcfg;

  if(!empty($id) && is_numeric($id)) {
    $query = "SELECT * FROM ".$mysqlcfg["tplrectbl"]." WHERE id='".mysql_real_escape_string($id)."'";
    $result = mysql_query($query);
    $row = mysql_fetch_assoc($result);
    mysql_free_result($result);
    return $row;
  }
  else {
    return "";
  }
}

//template-name zu template-id aufloesen
function get_id_from_template($name) {
  global $mysqlcfg;

  if(!empty($name)) {
    $query = "SELECT id FROM ".$mysqlcfg["tpltbl"]." WHERE name='".mysql_real_escape_string($name)."'";
    $result = mysql_query($query);
    $row = mysql_fetch_assoc($result);
    mysql_free_result($result);
    return $row["id"];
  }
  else {
    return 0;
  }
}

//template-id zu template-namen aufloesen
function get_template_from_id($id) {
  global $mysqlcfg;

  if(!empty($id) && is_numeric($id)) {
    $query = "SELECT * FROM ".$mysqlcfg["tpltbl"]." WHERE id='".mysql_real_escape_string($id)."'";
    $result = mysql_query($query);
    $row = mysql_fetch_assoc($result);
    mysql_free_result($result);
    return $row["name"];
  }
  else {
    return 0;
  }
}


//(leeres) template erzeugen
function add_template($name) {
  global $mysqlcfg;

  if(!empty($name)) {
    $query = "INSERT INTO ".$mysqlcfg["tpltbl"]." (name) VALUES ('".mysql_real_escape_string($name)."')";
    mysql_query($query);
    return mysql_insert_id();
  }
  else {
    return false;
  }
}

//template + alle zugehoerigen records loeschen
function del_template($id) {
  global $mysqlcfg;

  if(!empty($id) && is_numeric($id)) {
    $query = "DELETE FROM ".$mysqlcfg["tpltbl"]." WHERE id='".mysql_real_escape_string($id)."' LIMIT 1";
    mysql_query($query);
    return mysql_errno();
  }
}

?>
